Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
pdumodel::Controller Interface Reference

Sub controller interface. More...

`import <Controller.idl;`

Inheritance diagram for pdumodel::Controller:

## Classes
struct | MetaData
| Sub controller metadata. More...
struct | MetaDataChangedEvent
| Event: Controller metadata has changed. More...
struct | StatusChangedEvent
| Event: Controller communication status has changed. More...

## Public Types
enum | Status { OK , COMMUNICATION_UNSTABLE , COMMUNICATION_FAILURE , UNKNOWN , INCOMPATIBLE , FIRMWARE_UPDATE }
| Communication status. More...
enum | Type { OUTLET_CTRL , INLET_CTRL , METER_CTRL }
| Sub controller type. More...

## Public Member Functions
Status | getCommunicationStatus ()
| Retrieve the current status of communication with controller.
CtrlStatistic | getStatistics ()
| Retrieve statistics.
MetaData | getMetaData ()
| Retrieve the sub controller metadata.
int | reset ()
| Reset this sub controller.

## Public Attributes
constant int | ERR_NOT_SUPPORTED = 1
| Operation not supported.

## Detailed Description

Sub controller interface.

Definition at line 26 of file Controller.idl.

## Member Enumeration Documentation

## ◆ Status

enum pdumodel::Controller::Status

Communication status.

Enumerator
OK | Communication with controller is known to be working.
COMMUNICATION_UNSTABLE | Controller can be communicated with sporadically.
COMMUNICATION_FAILURE | Controller can't be communicated with.
UNKNOWN | Communication status is unknown, e.g. after startup.
INCOMPATIBLE | The characteristics of the controller don't meet the expectations.
FIRMWARE_UPDATE | A controller firmware update is in progress.

Definition at line 30 of file Controller.idl.

## ◆ Type

enum pdumodel::Controller::Type

Sub controller type.

Enumerator
OUTLET_CTRL | Outlet controller
INLET_CTRL | Inlet controller
METER_CTRL | General metering controller

Definition at line 40 of file Controller.idl.

## Member Function Documentation

## ◆ getCommunicationStatus()

Status pdumodel::Controller::getCommunicationStatus | ( |  | ) |

Retrieve the current status of communication with controller.

Returns
  communication status

## ◆ getMetaData()

MetaData pdumodel::Controller::getMetaData | ( |  | ) |

Retrieve the sub controller metadata.

Returns
  Controller metadata

## ◆ getStatistics()

CtrlStatistic pdumodel::Controller::getStatistics | ( |  | ) |

Retrieve statistics.

Returns
  statistics of Controller

## ◆ reset()

int pdumodel::Controller::reset | ( |  | ) |

Reset this sub controller.

Note: Depending on the hardware setup of the specific device, calling this method may also cause other sub controllers to be reset.

Returns
  0 on success ERR_NOT_SUPPORTED if the hardware setup doesn't allow resetting the controller

## Member Data Documentation

## ◆ ERR_NOT_SUPPORTED

constant int pdumodel::Controller::ERR_NOT_SUPPORTED = 1

Operation not supported.

Definition at line 27 of file Controller.idl.

The documentation for this interface was generated from the following file:

- Controller.idl